﻿using System;
using System.Collections.Generic;
using System.Linq;

using System.IO;
using System.Net;
using System.Net.Http;
using System.Web;
using System.Web.Http;
using Web_API_Return_Images_MVC.Models;

namespace Web_API_Return_Images_MVC.Controllers
{
    public class ImageAPIController : ApiController
    {
        [HttpPost]
        [Route("api/ImageAPI/GetImages")]
        public HttpResponseMessage GetImages()
        {
            List<ImageModel> images = new List<ImageModel>();

            //Set the Image Folder Path.
            string path = HttpContext.Current.Server.MapPath("~/Images/");

            //Fetch the Image Files.
            foreach (string file in Directory.GetFiles(path))
            {
                //Read the Image as Byte Array.
                byte[] bytes = File.ReadAllBytes(file);

                //Convert and add Image as Base64 string.
                images.Add(new ImageModel
                {
                    Name = Path.GetFileName(file),
                    Data = Convert.ToBase64String(bytes, 0, bytes.Length)
                });
            }

            return Request.CreateResponse(HttpStatusCode.OK, images);
        }
    }
}
